package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;


@Entity // @Audited
@Table(name = "PelatihanKreditAkreditasi_T")
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })

public class PelatihanKreditAkreditasi extends BaseTransaction{
	
	@Column(name = "jenisKeperawatan", nullable = true, length = 150)
	private String jenisKepersetaan;

	@Column(name = "jpl", nullable = true, length = 150)
	private String skp;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPeatihanFk")
	@NotNull(message = "Paket Tidak Boleh Kosong")
	private PelatihanPaket pelatihanPaket;

	@Column(name = "ObjectPeatihanFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String pelatihanPaketId;

	public String getJenisKepersetaan() {
		return jenisKepersetaan;
	}

	public void setJenisKepersetaan(String jenisKepersetaan) {
		this.jenisKepersetaan = jenisKepersetaan;
	}

	public String getSkp() {
		return skp;
	}

	public void setSkp(String skp) {
		this.skp = skp;
	}

	public PelatihanPaket getPelatihanPaket() {
		return pelatihanPaket;
	}

	public void setPelatihanPaket(PelatihanPaket pelatihanPaket) {
		this.pelatihanPaket = pelatihanPaket;
	}

	public String getPelatihanPaketId() {
		return pelatihanPaketId;
	}

	public void setPelatihanPaketId(String pelatihanPaketId) {
		this.pelatihanPaketId = pelatihanPaketId;
	}

	

	
}

